Subject: Re: [PATCH v5 1/1] ref-filter: add new "signature" atom

From: Kousik Sanagavarapu <[email-masked]>
Date: Sun, 30 Apr 2023 00:07:36 +0530

Kousik Sanagavarapu <[email-masked]> writes:

>> +test_expect_success GPG 'test bare signature atom' '
>
> I think this test is failing on CI because, as Junio said, there
> are different versions of gpg coming into play here. In particular,
> this test is failing on (according to the logs) linux32 (daald/ubuntu32:xenial).
> The version of GPG that xenial can use is at a maximum v1.4.20 (this is
> evident here https://packages.ubuntu.com/xenial/allpackages). But
> according the code in lib-gpg.sh, we should be able to handle any GPG
> version, except for v1.0.6.

After digging a little bit more into this, I found that when checking
the trustdb, the output is different for GPG v1 and GPG v2. So, I
understand now why you did this

>> +	grep -v "checking the trustdb" out_orig >out &&

The test is still failing because this is not the only line in the
output that is different, but also the line following it, which
conveys information about the key trust levels

  gpg: 3 marginal(s) needed, 1 complete(s) needed, PGP trust model

This is also evident from the diff between "expected" and "actual" in
the logs[1].

[1] https://github.com/git/git/actions/runs/4410308954/jobs/7727652857#step:6:1898

Thanks